# PMC_Learning_Materials
Awesome repo and tutorials for getting ready for Polkadot Metaverse Championship.

## Starter resources

| Project      | Link   |
|--------------|-----------|
| Developer friendly wallet for Substrate blockchains| https://polkadot.js.org/ |
| Build you own Substrate blockchain | https://docs.substrate.io/tutorials/get-started/build-local-blockchain/ |
| Send extrinsics from code or cli | https://github.com/paritytech/subxt |
| Substrate frontend template (use this if you need a frontend connecting with PolkadotJS) | https://github.com/substrate-developer-hub/substrate-front-end-template |
|ink! tutorial (solidity-like rust based smart contracts on top os Substrate) | https://docs.substrate.io/tutorials/smart-contracts/ |
| Awesome Substrate | https://project-awesome.org/substrate-developer-hub/awesome-substrate |

## Tutorials for ecosystem project challenges

Use the following materials to educate yourself about the ecosystem projects present in the PMC hackathon. This helps you to prepare yourself for the main track challenges. You can also start building some topoligies or code skeletons for interacting with the projects.

| Project      | Link   |
|--------------|-----------|
| Unit Network learning materials | https://www.unit.network/learn.html |
| KILT 101 | https://kiltprotocol.github.io/kilt-workshop-101/#/ |
| RMRK - Learn about the specs | https://github.com/rmrk-team/rmrk-spec |
| Momentum - Explore Kusamaverse | https://odyssey.org/explore-momentum |
| CCTF blog - Learn about hacking web3 | https://cryptoctf.org/past-events/ |


## Advanced resources

| Title      | Link   |
|--------------|-----------|
| Hacking substrate with pallet chaos | https://qrucial.io/hacking-substrate-with-chaos-pallet/ |
| Security analysis framework for WASM and smart contracts | https://github.com/FuzzingLabs/octopus |
| Tool for hacking IBC | https://github.com/ComposableFi/ibctest |